Bug 197028 - python package update fails dependency resolution
python package update fails dependency resolution
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-28 02:26 EDT by Bill Powers
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-30 14:21:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Powers 2006-06-28 02:26:49 EDT
Description of problem: Software Updater fails to resolve dependencies on python
package update.


Version-Release number of selected component (if applicable):


How reproducible: From my 'virgin' FC5 simply request Software Update.   (I
de-selected the python update so everything else is currently up to date)


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Mihai Ibanescu 2006-06-29 15:57:59 EDT
Can you please attach the output of "yum update"?

Comment 2 Bill Powers 2006-06-29 17:55:26 EDT
I didn't use yum.  After an install of FC5 I used the "Package Updater" under
Applications->System Tools.  The package updater failed with "ERROR RESOLVING
DEPENDENCIES"  Details are "python-devel conflicts with python < 2.4.3-8.FC5"

I tried running yum:
[root@dhcppc3 ~]# yum update python
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
core                                                                 [1/3]
core                      100% |=========================| 1.1 kB    00:00
updates                                                              [2/3]
updates                   100% |=========================|  951 B    00:00
extras                                                               [3/3]
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 787 kB    00:01
extras    : ################################################## 2235/2235
Added 439 new packages, deleted 2239 old in 6.38 seconds
Could not find update match for python
No Packages marked for Update/Obsoletion
[root@dhcppc3 ~]#

After the above YUM effort, the Software Updater still malfunctions as stated.
Comment 3 Mihai Ibanescu 2006-06-29 18:14:42 EDT
OK, can you please paste the output of:

rpm -q python
rpm -q python-devel

yum list | grep ^python

The Software Updater uses yum, I am trying to see if the problem is in python's
package, in yum or in the software updater itself.

Thanks for helping tracking down the problem!
Comment 4 Bill Powers 2006-06-29 19:28:25 EDT
My pleasure.  Here you are:
[billp@dhcppc3 ~]$ rpm -q python
python-2.4.2-3.2.1
python-2.4.3-8.FC5
[billp@dhcppc3 ~]$ rpm -q python-devel
python-devel-2.4.2-3.2.1
[billp@dhcppc3 ~]$ yum list | grep ^python
python.i386                              2.4.2-3.2.1            installed
python.i386                              2.4.3-8.FC5            installed
python-devel.i386                        2.4.2-3.2.1            installed
python-elementtree.i386                  1.2.6-4.2.1            installed
python-ldap.i386                         2.0.6-5.2.1            installed
python-numeric.i386                      23.7-2.2.1             installed
python-sqlite.i386                       1.1.7-1.2              installed
python-urlgrabber.noarch                 2.9.8-2                installed
python-4Suite-XML.i386                   1.0-0.4.b3             extras
python-GeoIP.i386                        1.2.1-4.fc5            extras
python-HTMLgen.noarch                    2.2.2-7.fc5            extras
python-TestGears.noarch                  0.2-1.fc5              extras
python-adns.i386                         1.1.0-1                extras
python-amara.noarch                      1.1.7-1.fc5            extras
python-astng.noarch                      0.15.1-1.fc5           extras
python-basemap.i386                      0.8.2-3.fc5            extras
python-basemap-data.noarch               0.8-1.fc5              extras
python-bibtex.i386                       1.2.2-3.fc5            extras
python-cheetah.i386                      1.0-2.fc5              extras
python-cherrypy.noarch                   2.1.1-1.fc5            extras
python-cherrytemplate.noarch             1.0.0-2.fc4            extras
python-chm.i386                          0.8.2-2.fc5            extras
python-clearsilver.i386                  0.10.3-3.fc5           extras
python-clientform.noarch                 0.1.17-4.fc5           extras
python-cpio.noarch                       0.1-1.fc5              extras
python-crypto.i386                       2.0.1-2.fc5            extras
python-dateutil.noarch                   1.1-2.fc5              extras
python-debuginfo.i386                    2.4.3-8.FC5            updates
python-devel.i386                        2.4.3-8.FC5            updates
python-dialog.noarch                     2.7-3.fc5              extras
python-docs.noarch                       2.4.3-0.9.FC5          updates
python-docutils.noarch                   0.4-2.fc5              extras
python-durus.i386                        3.2-1.fc5              extras
python-enchant.i386                      1.1.5-3.fc5            extras
python-feedparser.noarch                 4.1-1.fc5              extras
python-formencode.noarch                 0.4-2.fc5              extras
python-goopy.noarch                      0.1-1                  extras
python-imaging.i386                      1.1.5-1.fc5            extras
python-imaging-devel.i386                1.1.5-1.fc5            extras
python-irclib.noarch                     0.4.5-2.fc5            extras
python-json.noarch                       3.4-1.fc5              extras
python-kid.noarch                        0.9-1.fc5              extras
python-lcms.i386                         1.15-1.2.1             core
python-logilab-common.noarch             0.14.1-2.fc5           extras
python-matplotlib.i386                   0.87.2-1.fc5           extras
python-matplotlib-tk.i386                0.87.2-1.fc5           extras
python-myghty.noarch                     0.98c-1                extras
python-nltk.noarch                       1.4.4-1.fc5            extras
python-numarray.i386                     1.5.1-1.fc5            extras
python-protocols.i386                    0.9.3-7.fc5            extras
python-psyco.i386                        1.5-4.fc5              extras
python-psycopg.i386                      1.1.21-4.fc5           extras
python-pyblock.i386                      0.15-1                 core
python-quixote.i386                      2.4-2.fc5              extras
python-reportlab.noarch                  1.20-5.fc5             extras
python-reportlab.i386                    1.19-2                 extras
python-setuptools.noarch                 0.6a10-1.fc5           extras
python-simpletal.noarch                  4.1-2.fc5              extras
python-simpy.noarch                      1.6.1-4.fc5            extras
python-simpy-doc.noarch                  1.6.1-4.fc5            extras
python-sqlite2.i386                      1:2.1.3-4.fc5          extras
python-sqlobject.noarch                  0.7.0-5.fc5            extras
python-tools.i386                        2.4.3-8.FC5            updates
python-tpg.noarch                        3.0.6-2.fc5            extras
python-twisted.i386                      1.3.0-5.fc5            extras
python-twisted-docs.i386                 1.3.0-5.fc5            extras
[billp@dhcppc3 ~]$

Comment 5 Mihai Ibanescu 2006-06-30 08:24:09 EDT
Well, for some reason you have two versions of python installed.
I would suggest you do the following:

rpm -e python-2.4.2-3.2.1 python-devel-2.4.2-3.2.1

then run the software updater and install python-devel.

The problem with the two packages is, yum/the software updater will try to
update python-devel, grabs 2.4.3-8.FC5 which conflicts with older python
versions (of which you have 2.4.2-3.2.1). How you got into this situation, I
don't know.

Let me know if that works for you.
Comment 6 Bill Powers 2006-06-30 14:13:16 EDT
As I mentioned, this was a fresh install of FC5.  During the incredibly lengthy
Software Update (after the initial FC5 install) My system locked up in a hard
loop during the SELinux update phase.  I was forced to kill the update and to be
safe I rebooted.  I am now more than a bit nervous about the state of all the
other FC5 software on this system so I will do a fresh install of FC5.  Thanks
for your help and I guess you should close this bug report.
Comment 7 Mihai Ibanescu 2006-06-30 14:21:17 EDT
Yeah, interrupting the install tends to do that. I generally just get the
duplicate packages and reinstall the newer ones, but the procedure is quite
lengthy and probably not worth it on a newly installed system.

Closing bug.

Note You need to log in before you can comment on or make changes to this bug.